All times are UTC - 6 hours [ DST ]




Post new topic Reply to topic  [ 440 posts ]  Go to page Previous  1 ... 14, 15, 16, 17, 18
Author Message
 Post subject: Re: Raspbian/Ubuntu packages for dump1090-mutability availab
PostPosted: Sat Jan 23, 2016 7:09 am 
Offline
FlightAware Staff
obj - FlightAware user avatar

Joined: Tue Sep 30, 2014 7:14 pm
Posts: 3654
It adds a little DC filter which helps remove the DC spike that some systems have. In my tests it didn't really improve things.


Top
 Profile  
 
 Post subject: Re: Raspbian/Ubuntu packages for dump1090-mutability availab
PostPosted: Sun Jan 24, 2016 8:42 pm 
Offline
FlightAware Member
sjacket99 - FlightAware user avatar

Joined: Thu Nov 13, 2014 11:53 am
Posts: 467
I wanted to redo my sd card. So I did and I installed Dump1090 again like I did so many times before with no issue. But this time I am having issues. I installed Dump1090 with the following commands. But now when you run the last command and it ask if you want to start Dump1090 Auto, Then it ask for a port number. But you can't get past it.

So I re did my sd again and tried to install the dump1090 V1.14, but that kind of said the same thing. The commands for V1.15-dev worked for me the other day with no issue.

Code:
wget https://github.com/mutability/librtlsdr/releases/download/v0.5.4_git-1/librtlsdr0_0.5.4.git-1_armhf.deb
wget https://github.com/mutability/librtlsdr/releases/download/v0.5.4_git-1/librtlsdr-dev_0.5.4.git-1_armhf.deb
sudo dpkg -i librtlsdr0_0.5.4.git-1_armhf.deb
sudo dpkg -i librtlsdr-dev_0.5.4.git-1_armhf.deb
sudo apt-get install git-core
mkdir git
cd git
git clone https://github.com/mutability/dump1090.git
sudo apt-get install librtlsdr-dev libusb-1.0-0-dev pkg-config debhelper
cd dump1090
dpkg-buildpackage -b
(Get back into the git DIR first before running this command) sudo dpkg -i dump1090-mutability_1.15~dev_armhf.deb



Any help would be great. Thanks.


Top
 Profile  
 
 Post subject: Re: Raspbian/Ubuntu packages for dump1090-mutability availab
PostPosted: Sun Jan 24, 2016 8:52 pm 
Offline
FlightAware Member
jprochazka - FlightAware user avatar

Joined: Sat Aug 22, 2015 12:18 am
Posts: 517
Location: Elyria, Ohio USA
sjacket99 wrote:
I wanted to redo my sd card. So I did and I installed Dump1090 again like I did so many times before with no issue. But this time I am having issues. I installed Dump1090 with the following commands. But now when you run the last command and it ask if you want to start Dump1090 Auto, Then it ask for a port number. But you can't get past it.

So I re did my sd again and tried to install the dump1090 V1.14, but that kind of said the same thing. The commands for V1.15-dev worked for me the other day with no issue.

Code:
wget https://github.com/mutability/librtlsdr/releases/download/v0.5.4_git-1/librtlsdr0_0.5.4.git-1_armhf.deb
wget https://github.com/mutability/librtlsdr/releases/download/v0.5.4_git-1/librtlsdr-dev_0.5.4.git-1_armhf.deb
sudo dpkg -i librtlsdr0_0.5.4.git-1_armhf.deb
sudo dpkg -i librtlsdr-dev_0.5.4.git-1_armhf.deb
sudo apt-get install git-core
mkdir git
cd git
git clone https://github.com/mutability/dump1090.git
sudo apt-get install librtlsdr-dev libusb-1.0-0-dev pkg-config debhelper
cd dump1090
dpkg-buildpackage -b
(Get back into the git DIR first before running this command) sudo dpkg -i dump1090-mutability_1.15~dev_armhf.deb


Any help would be great. Thanks.

Misread your post... Never mind what was posted before. I have not had any issue with "dpkg-buildpackage -b". however the following still holds true for me.

I have not been able to successfully install, well actually configure dump1090-mutability since the "Support multiple listening ports per listener type." commit earlier today. Here is a link to the latest issue I have ran into. https://github.com/mutability/dump1090/issues/92


Top
 Profile  
 
 Post subject: Re: Raspbian/Ubuntu packages for dump1090-mutability availab
PostPosted: Sun Jan 24, 2016 9:04 pm 
Offline
FlightAware Member
sjacket99 - FlightAware user avatar

Joined: Thu Nov 13, 2014 11:53 am
Posts: 467
It's weird because I just did the same commands that I posted Friday or Saturday and it worked with no issue.


Last edited by sjacket99 on Sun Jan 24, 2016 9:53 pm, edited 1 time in total.

Top
 Profile  
 
 Post subject: Re: Raspbian/Ubuntu packages for dump1090-mutability availab
PostPosted: Sun Jan 24, 2016 9:47 pm 
Offline
FlightAware Staff
obj - FlightAware user avatar

Joined: Tue Sep 30, 2014 7:14 pm
Posts: 3654
Yeah. HEAD packaging is broken currently. While it has been pretty stable lately, it is a development version. Use a version from a couple of days ago? Try 1a2926b31140e59e49795740c88642d4ff528ef6


Top
 Profile  
 
 Post subject: Re: Raspbian/Ubuntu packages for dump1090-mutability availab
PostPosted: Fri Jul 08, 2016 9:39 am 
Offline
cmuncy - FlightAware user avatar

Joined: Sun Jan 16, 2011 8:00 am
Posts: 33
Location: Willis, Texas
Is anyone running the latest code have their site accessible from the internet that I could look at?


Top
 Profile  
 
 Post subject: Re: Raspbian/Ubuntu packages for dump1090-mutability availab
PostPosted: Tue Jul 12, 2016 7:32 am 
Offline
pgjp6910 - FlightAware user avatar

Joined: Mon Oct 05, 2015 1:40 pm
Posts: 9
cmuncy wrote:
Is anyone running the latest code have their site accessible from the internet that I could look at?


Hi, since a few days I can't see my dump1090-mutability site from the internet properly. I was wondering if it affected to other user sites or only to my. But after yesterday's update (via git) I can't see any plane, just empty map. What was happened?

Best regards,
pp


Top
 Profile  
 
 Post subject: Re: Raspbian/Ubuntu packages for dump1090-mutability availab
PostPosted: Tue Jul 12, 2016 9:40 am 
Offline
FlightAware Member
jonhawkes2030 - FlightAware user avatar

Joined: Tue Jan 05, 2016 4:15 pm
Posts: 1064
Location: NYC
Look at
post195613.html?hilit=openlayers#p195613

Also,

ads-b-flight-tracking-f21/what-is-the-maximum-range-i-can-get-t35912.html?hilit=google%20api&start=350


It is an issue with a new google API Policy.
It can be resolved on older setup. New Setups need to use one of the available maps.


Top
 Profile  
 
 Post subject: Re: Raspbian/Ubuntu packages for dump1090-mutability availab
PostPosted: Tue Jul 12, 2016 12:12 pm 
Offline
pgjp6910 - FlightAware user avatar

Joined: Mon Oct 05, 2015 1:40 pm
Posts: 9
jonhawkes2030 wrote:
Look at
post195613.html?hilit=openlayers#p195613

Also,

ads-b-flight-tracking-f21/what-is-the-maximum-range-i-can-get-t35912.html?hilit=google%20api&start=350


It is an issue with a new google API Policy.
It can be resolved on older setup. New Setups need to use one of the available maps.


Hi, thanks a lot for such quick response and hints, but seems, that I can't see planes even if I choose other map, such as OpenStreetMap.
Despite of this, I don't know how to use the Google Api Key, so it seems I stuck... My mom always told me "if something is working good enough, do not touch it", why I just didn't listen my mom ;)

EDIT: I added API Key, but still no planes. aghhh

EDIT2: I guess I found the reason of my problem. Some time ago I changed my files within html directory a bit. And today, I replaced whole files one by one from one of my very old backup. And two of them caused the issue, there was: scripts.js and planeObjects.js. And my current markers.js shows planes as "pins", but the old one correct it. Strange...

Best regards,
pp


Top
 Profile  
 
 Post subject: Re: Raspbian/Ubuntu packages for dump1090-mutability availab
PostPosted: Wed Feb 01, 2017 10:20 am 
Offline
mostlychris - FlightAware user avatar

Joined: Wed Jul 22, 2009 4:00 pm
Posts: 13
I apologize if this has been asked already. Is there a way to limit the number of history points that are displayed for aircraft? I have military training aircraft in my area and it makes a real mess on my web UI with all the tracks from those aircraft.


Top
 Profile  
 
 Post subject: Re: Raspbian/Ubuntu packages for dump1090-mutability availab
PostPosted: Wed Feb 01, 2017 1:53 pm 
Offline
FlightAware Member
jonhawkes2030 - FlightAware user avatar

Joined: Tue Jan 05, 2016 4:15 pm
Posts: 1064
Location: NYC
dump1090-fa allows you to specify an aircraft altitude range.
If the military aircraft are low, you could easily filter them out.


Top
 Profile  
 
 Post subject: Re: Raspbian/Ubuntu packages for dump1090-mutability availab
PostPosted: Wed Feb 01, 2017 4:24 pm 
Offline
mostlychris - FlightAware user avatar

Joined: Wed Jul 22, 2009 4:00 pm
Posts: 13
jonhawkes2030 wrote:
dump1090-fa allows you to specify an aircraft altitude range.
If the military aircraft are low, you could easily filter them out.


They fly from ground to high altitudes so that won't work. I'm interested in limiting the history for all aircraft.


Top
 Profile  
 
 Post subject: Re: Raspbian/Ubuntu packages for dump1090-mutability availab
PostPosted: Wed Feb 01, 2017 4:51 pm 
Offline
FlightAware Staff
obj - FlightAware user avatar

Joined: Tue Sep 30, 2014 7:14 pm
Posts: 3654
mostlychris wrote:
Is there a way to limit the number of history points that are displayed for aircraft?

Not with the current dump1090 javascript, no. You could implement a maximum number of track points per aircraft without a ton of work. Implementing a global limit is harder.


Top
 Profile  
 
 Post subject: Re: Raspbian/Ubuntu packages for dump1090-mutability availab
PostPosted: Wed Feb 01, 2017 4:58 pm 
Offline
mostlychris - FlightAware user avatar

Joined: Wed Jul 22, 2009 4:00 pm
Posts: 13
obj wrote:
mostlychris wrote:
Is there a way to limit the number of history points that are displayed for aircraft?

Not with the current dump1090 javascript, no. You could implement a maximum number of track points per aircraft without a ton of work. Implementing a global limit is harder.


Per aircraft is exactly what I'm looking for. If you can point me to the js file that this might work out of, I can take a look.


Top
 Profile  
 
 Post subject: Re: Raspbian/Ubuntu packages for dump1090-mutability availab
PostPosted: Wed Feb 01, 2017 6:29 pm 
Offline
FlightAware Staff
obj - FlightAware user avatar

Joined: Tue Sep 30, 2014 7:14 pm
Posts: 3654
Probably somewhere in here: https://github.com/flightaware/dump1090 ... ct.js#L190


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 440 posts ]  Go to page Previous  1 ... 14, 15, 16, 17, 18

All times are UTC - 6 hours [ DST ]


Who is online

Users browsing this forum: dschre, ldefranco and 1 guest


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum

Search for:
Jump to: